Project/src/main/java/model/User.java
package model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;


  public class User implements Serializable {
    private int id;
    private String loginId;
    private String name;
    private Date birthDate;
    private String password;
    private boolean isAdmin;
    private Timestamp createDate;
    private Timestamp updateDate;

    public User() {}

    // 全てのデータをセットするコンストラクタ
    public User(int id, String loginId, String name, Date birthDate, String password, boolean isAdimn,
        Timestamp createDate, Timestamp updateDate) {
      this.id = id;
      this.loginId = loginId;
      this.name = name;
      this.birthDate = birthDate;
      this.password = password;
      this.isAdmin = isAdimn;
      this.createDate = createDate;
      this.updateDate = updateDate;
    }

    public int getId() {
      return id;
    }

    public void setId(int id) {
      this.id = id;
    }

    public String getLoginId() {
      return loginId;
    }

    public void setLoginId(String loginId) {
      this.loginId = loginId;
    }

    public String getName() {
      return name;
    }

    public void setName(String name) {
      this.name = name;
    }

    public Date getBirthDate() {
      return birthDate;
    }

    public void setBirthDate(Date birthDate) {
      this.birthDate = birthDate;
    }

    public String getPassword() {
      return password;
    }

    public void setPassword(String password) {
      this.password = password;
    }

    public boolean isAdmin() {
      return isAdmin;
    }

    public void setAdmin(boolean isAdmin) {
      this.isAdmin = isAdmin;
    }

    public Timestamp getCreateDate() {
      return createDate;
    }

    public void setCreateDate(Timestamp createDate) {
      this.createDate = createDate;
    }

    public Timestamp getUpdateDate() {
      return updateDate;
    }

    public void setUpdateDate(Timestamp updateDate) {
      this.updateDate = updateDate;
    }

   
  }
  
    

    

Project/src/main/java/controller/UserAddServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserAddServlet
 */
@WebServlet("/UserAddServlet")
public class UserAddServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */


  public UserAddServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO Auto-generated method stub
    // request.setCharacterEncoding("UTF-8");

    // response.getWriter().append("Served at: ").append(request.getContextPath());

    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;

    }

    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
    dispatcher.forward(request, response);

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
        request.setCharacterEncoding("UTF-8");

        String loginId = request.getParameter("user-loginid");
        String password = request.getParameter("password");
        String confirmPassword = request.getParameter("password-confirm");
        String name = request.getParameter("user-name");
        String birthday = request.getParameter("birth-date");

        UserDao userDao = new UserDao();


        if (!userDao.findByLoginId(loginId) || !password.equals(confirmPassword)
            || loginId.equals("")
            || password.equals("") || confirmPassword.equals("") || name.equals("")
            || birthday.equals("")) {
          request.setAttribute("errMsg", "入力された内容は正しくありません");
          request.setAttribute("loginId", loginId);
          request.setAttribute("name", name);
          request.setAttribute("birthday", birthday);

          RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userAdd.jsp");
          dispatcher.forward(request, response);

          return;
        }
        
        PasswordEncorder passwordEncorder = new PasswordEncorder();
        String encordPassword = passwordEncorder.encordPassword(password);
        
        userDao.insert(loginId, name, encordPassword, birthday);


        response.sendRedirect("UserListServlet");


        // doGet(request, response);
	}

}

Project/src/main/java/controller/UserDeleteServlet.java
package controller;

import java.io.IOException;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }
	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

      HttpSession session = request.getSession();
      User userInfo = (User) session.getAttribute("userInfo");

      if (userInfo == null) {
        response.sendRedirect("LoginServlet");
        return;

      }

      String userId = request.getParameter("id");
      int id = Integer.valueOf(userId);

      UserDao userDao = new UserDao();
      User user = userDao.findById(id);

      request.setAttribute("user", user);

      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
      dispatcher.forward(request, response);

    }

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
      request.setCharacterEncoding("UTF-8");

      String strId = request.getParameter("user-id");
      int id = Integer.valueOf(strId);

      UserDao userDao = new UserDao();
      userDao.delete(id);

      response.sendRedirect("UserListServlet");


}
  }

Project/src/main/java/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;

/** Servlet implementation class UserListServlet */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /** @see HttpServlet#HttpServlet() */
  public UserListServlet() {
    super();
  }

  /** @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response) */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO 未実装：ログインセッションがない場合、ログイン画面にリダイレクトさせる

    HttpSession session = request.getSession();
    User user = (User) session.getAttribute("userInfo");

    if (user == null) {
      response.sendRedirect("LoginServlet");
      return;

    }


    // ユーザ一覧情報を取得
    UserDao userDao = new UserDao();
    List<User> userList = userDao.findAll();

    // リクエストスコープにユーザ一覧情報をセット
    request.setAttribute("userList", userList);

    // ユーザ一覧のjspにフォワード
    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);
    


  }

  /** @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response) */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO 未実装：検索処理全般
    // TODO 未実装：どんな条件で検索したかわかるように画面に入力値を表示させること
    request.setCharacterEncoding("UTF-8");

    String loginId = request.getParameter("user-loginid");
    String name = request.getParameter("user-name");
    String startBirthday = request.getParameter("date-start");
    String endBirthday = request.getParameter("date-end");

    UserDao userDao = new UserDao();
    List<User> userList = userDao.search(loginId, name, startBirthday, endBirthday);

    request.setAttribute("userList", userList);

    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
    dispatcher.forward(request, response);

  }
}

Project/src/main/java/controller/UserUpdateServlet.java
package controller;

import java.io.IOException;
import java.sql.Date;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import dao.UserDao;
import model.User;
import util.PasswordEncorder;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
  private static final long serialVersionUID = 1L;

  /**
   * @see HttpServlet#HttpServlet()
   */
  public UserUpdateServlet() {
    super();
    // TODO Auto-generated constructor stub
  }

  /**
   * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {
    // TODO Auto-generated method stub

    HttpSession session = request.getSession();
    User userInfo = (User) session.getAttribute("userInfo");

    if (userInfo == null) {
      response.sendRedirect("LoginServlet");
      return;

    }
    String strId = request.getParameter("id");
    int id = Integer.valueOf(strId);

    UserDao userDao = new UserDao();
    User user = userDao.findById(id);

    request.setAttribute("user", user);

    RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
    dispatcher.forward(request, response);

  }

  /**
   * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
   */
  protected void doPost(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    request.setCharacterEncoding("UTF-8");

    String password = request.getParameter("password");
    String confirmPassword = request.getParameter("password-confirm");
    String name = request.getParameter("user-name");
    String strBirthday = request.getParameter("birth-date");
    String loginId = request.getParameter("user-loginid");
    String strId = request.getParameter("user-id");
    int id = Integer.valueOf(strId);
    Date birthday = null;
    if (!strBirthday.equals("")) {
      birthday = Date.valueOf(strBirthday);
    }

    if (!password.equals(confirmPassword) || name.equals("") || strBirthday.equals("")) {
      request.setAttribute("errMsg", "入力された内容は正しくありません");

      User user = new User();
      user.setId(id);
      user.setLoginId(loginId);
      user.setName(name);
      user.setBirthDate(birthday);


      request.setAttribute("user", user);


      RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
      dispatcher.forward(request, response);


      return;

    }

    if (password.equals("")) {
      UserDao userDao = new UserDao();
      userDao.update(name, strBirthday, id);

    } else {

      PasswordEncorder passwordEncorder = new PasswordEncorder();
      String encordPassword = passwordEncorder.encordPassword(password);

      UserDao userDao = new UserDao();
      userDao.updatePassword(name, encordPassword, strBirthday, id);

    }
    response.sendRedirect("UserListServlet");

  }
}

Project/src/main/webapp/WEB-INF/jsp/userAdd.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ新規登録画面</title>
<!-- BootstrapのCSS読み込み -->
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
						${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ新規登録</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
					<c:if test="${errMsg != null}">
						<div class="alert alert-danger" role="alert">${errMsg}</div>
					</c:if>
			</div>
		</div>

		<form action="UserAddServlet" method="post">
			<div class="row">
				<div class="col-6 offset-3">
					<div class="form-group row">
						<label for="user-id" class="control-label col-3">ログインID</label>
						<div class="col-9">
							<input type="text" name="user-loginid" id="user-loginid"
								class="form-control" value="${loginId}">
						</div>
					</div>
					<div class="form-group row">
						<label for="password" class="control-label col-3">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="password"
								class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="password-confirm" class="control-label col-3">パスワード(確認)</label>
						<div class="col-9">
							<input type="password" name="password-confirm"
								id="password-confirm" class="form-control">
						</div>
					</div>
					<div class="form-group row">
						<label for="user-name" class="control-label col-3">ユーザ名</label>
						<div class="col-9">
							<input type="text" name="user-name" id="user-name"
								class="form-control" value="${name}">
						</div>
					</div>
					<div class="form-group row">
						<label for="continent" class="control-label col-3">生年月日</label>

						<div class="col-9">
							<input type="date" name="birth-date" id="birth-day"
								class="form-control" size="30" value="${birthday}">
						</div>
					</div>

					<div>
						<button type="submit" value="登録"
							class="btn btn-primary btn-block form-submit">登録</button>
					</div>
					<div class="row mt-3">
						<div class="col">
							<a href="UserListServlet">戻る</a>
						</div>
					</div>
				</div>
			</div>
		</form>
	</div>




</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ削除画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>

	<!-- header -->
	<header>
		<nav
			class="navbar navbar-dark bg-dark navbar-expand  flex-md-row justify-content-end">

			<ul class="navbar-nav flex-row">
				<li class="nav-item"><span class="navbar-text">
								${userInfo.name}</span><span class="navbar-text">さん</span></li>
				<li class="nav-item"><a class="nav-link text-danger"
					href="LogoutServlet">ログアウト</a></li>
			</ul>
		</nav>
	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3">
				<div class="row mb-5 mt-3">
					<div class="col">
						<h1 class="text-center">ユーザ削除確認</h1>
					</div>
				</div>
				<div class="row">
					<div class="col">
						<p>ログインID：${user.loginId}</p>
						<p>を本当に削除してよろしいでしょうか？</p>
					</div>
				</div>
				<form action="UserDeleteServlet" method="post">
				<div class="row">
						<div class="col">
							<a href="UserListServlet" class="btn btn-light btn-block">いいえ</a>
						</div>
						
						<div class="col">
							<input type="hidden" name="user-id" value="${user.id}">
							<button type="submit"
								class="btn btn-primary btn-block form-submit">はい</button>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>

</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userDetail.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja"></html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>ユーザ詳細 画面</title>
<!-- BootstrapのCSS読み込み -->
<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet"
	href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
	integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
	crossorigin="anonymous">
<!-- オリジナルCSS読み込み -->
<link href="css/original/common.css" rel="stylesheet">

</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
			<div class="container">
				<a class="navbar-brand" href="UserListServlet">ユーザ管理システム</a>

				<div class="collapse navbar-collapse">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><span class="navbar-text">
								${userInfo.name}</span><span class="navbar-text">さん</span></li>
						<li class="nav-item"><a class="nav-link text-danger"
							href="LogoutServlet">ログアウト</a></li>
					</ul>
				</div>
			</div>
		</nav>

	</header>
	<!-- /header -->

	<!-- body -->
	<div class="container-fluid">
		<div class="row mb-3">
			<div class="col">
				<h1 class="text-center">ユーザ情報詳細参照</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">

				<div class="row">
					<label for="loginId" class="col-3 font-weight-bold">ログインID</label>
					<div class="col-9">
						<p>${user.loginId}</p>
					</div>
				</div>

				<div class="row">
					<label for="userName" class="col-3 font-weight-bold">ユーザ名</label>
					<div class="col-9">
						<p>${user.name}</p>
					</div>
				</div>

				<div class="row">
					<label for="birthDate" class="col-3 font-weight-bold">生年月日</label>
					<div class="col-9">
						<p>${user.birthDate}</p>
					</div>
				</div>

				<div class="row">
					<label for="createDate" class="col-3 font-weight-bold">新規登録日時</label>
					<div class="col-9">
						<p>${user.createDate}</p>
					</div>
				</div>

				<div class="row">
					<label for="updateDate" class="col-3 font-weight-bold">更新日時</label>
					<div class="col-9">
						<p>${user.updateDate}</p>
					</div>
				</div>


				<div class="col-xs-4">
					<a href="UserListServlet">戻る</a>
				</div>
			</div>


		</div>
	</div>
</body>

</html>

Project/src/main/webapp/WEB-INF/jsp/userList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ユーザ一覧画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" 
		crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/common.css" rel="stylesheet">
</head>

<body>

	<!-- header -->
	<header>
		<nav class="navbar navbar-expand-lg navbar-dark bg-dark mb-3">
			<div class="container">
				<a class="navbar-brand" href="UserListServlet">ユーザ管理システム</a>

				<div class="collapse navbar-collapse">
					<ul class="navbar-nav ml-auto">
						<li class="nav-item"><span class="navbar-text">
								${userInfo.name}</span><span class="navbar-text">さん</span></li>
						<li class="nav-item"><a class="nav-link text-danger"
							href="LogoutServlet">ログアウト</a></li>
					</ul>
				</div>
			</div>
		</nav>
	</header>
	<!-- /header -->

	<div class="container">
		<div class="row">
			<div class="col">
				<h1 class="text-center">ユーザ一覧</h1>
			</div>
		</div>
		

		<!-- 新規登録リンク -->
		<div class="container">
		<div class="row mb-3">
			<div class="col text-right">
				<a href="UserAddServlet">新規登録</a>
			</div>
		</div>


		<!-- 検索ボックス -->
		<div class="row">
			<div class="col">
				<form action="UserListServlet" method="post">
				<div class="card">
					<div class="card-body">

						<div class="form-group row">
							<label for="loginId" class="col-2 col-form-label">ログインID</label>
							<div class="col-10">
								<input type="text" name="user-loginid" class="form-control" id="loginId" value="">
							</div>
						</div>

						<div class="form-group row">
							<label for="userName" class="col-2 col-form-label">ユーザ名</label>
							<div class="col-10">
								<input type="text" name="user-name" class="form-control" id="userName" value="">
							</div>
						</div>

						<div class="form-group row">
							<label for="birthDate" class="col-2 col-form-label">生年月日</label>
							<div class="col-10">
								<div class="row">
									<div class="col-5">
										<input type="date" name="date-start" id="startBirthDate" class="form-control"
											value="">
									</div>
									<div class="col-2 text-center">~</div>
									<div class="col-5">
										<input type="date" name="date-end" id="endBirthDate" class="form-control"
											value="">
									</div>
								</div>
							</div>
						</div>

						<div class="text-right">
							<button type="submit" class="btn btn-primary form-submit">検索</button>
						</div>
					</div>
				</form>
			</div>

			<table class="table table-striped">
				<thead>
					<tr>
						<th>ログインID</th>
						<th>ユーザ名</th>
						<th>生年月日</th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<c:forEach var="user" items="${userList}">
						<tr>
							<td>${user.loginId}</td>
							<td>${user.name}</td>
							<td>${user.birthDate}</td>
							<!-- TODO 未実装；ログインボタンの表示制御を行う -->
							   <td class="float-right">
							   <a class="btn btn-primary"
								href="UserDetailServlet?id=${user.id}">詳細</a>							
								
								<c:if test="${userInfo.admin or userInfo.loginId == user.loginId}">
								<a class="btn btn-success" 
								href="UserUpdateServlet?id=${user.id}">更新</a></c:if>
								
								<c:if test="${userInfo.admin}">
							    <a class="btn btn-danger"
								href="UserDeleteServlet?id=${user.id}">削除</a></c:if>
								</td>

						</tr>
					</c:forEach>
				</tbody>
			</table>
		</div>
	</div>
</body>
</html>

Project/src/main/webapp/WEB-INF/jsp/userLogin.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html lang="ja">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>ログイン画面</title>
	<!-- BootstrapのCSS読み込み -->
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
		integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<!-- オリジナルCSS読み込み -->
	<link href="css/original/login.css" rel="stylesheet">
</head>

<body>
	<!-- フォームが真ん中にレイアウトされるように、CSSに記載してある -->
	<div class="container">
		<div class="row">
			<div class="col-6 offset-3 mb-5">
				<h1 class="text-center">ログイン画面</h1>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3 mb-5">
			<c:if test="${errMsg != null}">
				<div class="alert alert-danger" role="alert">${errMsg}</div></c:if>
			</div>
		</div>

		<div class="row">
			<div class="col-6 offset-3">
			
			<form action="LoginServlet" method="post">
					<div class="form-group row">
						<label for="inputLoginId" class="col-3 col-form-label">ログインID</label>
						<div class="col-9">
							<input type="text" name="loginid" id="inputLoginId"
								class="form-control" value="${loginId}" autofocus>
						</div>
					</div>

					<div class="form-group row">
						<label for="inputPassword" class="col-3 col-form-label">パスワード</label>
						<div class="col-9">
							<input type="password" name="password" id="inputPassword"
								class="form-control" autofocus>
						</div>
					</div>

					<button class="btn btn-lg btn-primary btn-block" type="submit">ログイン</button>
				</form>
			</div>
		</div>
		<!-- /card-container -->
	</div>
	<!-- /container -->


</body>
</html>